<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"  xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j" template="/layout/template.xhtml">
  <ui:define name="body">
    <h1>#{messages['gazelle.xdw.simulator.XDWSamples']}</h1>
    <h:form id="globalForm">
      <gri:panel>
        <f:facet name="header">#{messages['gazelle.xdw.simulator.XDWSamples']}</f:facet>
        <h:panelGrid columns="5">
	          <ui:include src="/filter/filter.xhtml">
	            <ui:param name="filter" value="#{sampleManager.xdws.filter}"></ui:param>
	            <ui:param name="filterId" value="author"></ui:param>
	            <ui:param name="filterName" value="author"></ui:param>
	            <ui:param name="filterForm" value="globalForm"></ui:param>
	          </ui:include>
          </h:panelGrid>
        <rich:dataTable id="logListTable" onRowMouseOver="this.style.backgroundColor='#94C2E6'; this.style.cursor='pointer';" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'" value="#{sampleManager.xdws}" var="xdw" rows="15" render="ds">
          <g:column id="idColumn" sortBy="#{'id'}" sortOrder="descending">
            <ui:define name="header">#{messages['gazelle.xdw.simulator.ID']}</ui:define>
            <a href="#{sampleManager.permanentLink(xdw)}" target="_blank">#{xdw.id}</a>
          </g:column>
          <g:column id="loginColumn" sortBy="#{'author'}"><ui:define name="header">#{messages['gazelle.xdw.simulator.Author_2']}</ui:define>
						#{sampleManager.getUserName(xdw.author)}
					</g:column>
          <g:column id="dateColumn" sortBy="#{'creationDate'}"><ui:define name="header">#{messages['gazelle.xdw.simulator.Date']}</ui:define>
						<g:date value="#{xdw.creationDate}" />
					</g:column>
          <g:column id="resultColumn" sortBy="#{'path'}" filterBy="#{'path'}"><ui:define name="header">#{messages['gazelle.xdw.simulator.Name_2']}</ui:define>
						#{xdw.path}
					</g:column>
          <g:column id="linkColumn">
            <center>
              <h:panelGrid columns="3">
                <h:outputLink value="#{sampleManager.permanentLink(xdw)}" target="_blank">
					 <span class="gzl-icon-search"></span>
                </h:outputLink>
                <h:commandLink action="#{sampleManager.editXDWDocument(xdw)}" rendered="#{sampleManager.canRender(xdw)}">
                  <span class="gzl-icon-pencil"></span>
                </h:commandLink>
              </h:panelGrid>
            </center>
          </g:column>
          <f:facet name="footer">
            <s:div style="text-align: center;">
              <rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false" immediate="true"></rich:dataScroller>
            </s:div>
          </f:facet>
        </rich:dataTable>
      </gri:panel>
    </h:form>
  </ui:define>
</ui:composition>
